OMV 5.0 - finally out! :-)

  • I´ve a Question to the post #38 - the apt-get is with the pakets for docker.

    Can I use this upgrade also for a raspberry-installation without docker?

    Pakets? Not sure what you mean but yes, you should be able to use it on your RPi.

    As i understand docker should be unistalled right?

    plugins that are installed from docker? How should work?

    Docker does not need to be uninstalled. The docker-gui plugin does and the omv-extras 4.x docker repo needs to be removed. That is what the code does. And no plugins are installed from docker. If you have containers installed, they can stay installed.

    omv 5.5.23 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • I have decide to clean install the latest 5.3.9-1 from the latest iso and I would say that it is rather buggy. After installation (without do any updates) the System Information dashboard is empty.

    Trying to add my second network interface I'm getting Internal Server Error (same if I edit the existing interface)

    Code
    {"response":null,"error":{"code":0,"message":"The property 'options' does not exist in the model 'conf.system.network.interface'.","trace":"OMV\\AssertException: The property 'options' does not exist in the model 'conf.system.network.interface'. in \/usr\/share\/php\/openmediavault\/config\/configobject.inc:71\nStack trace:\n#0 \/usr\/share\/php\/openmediavault\/config\/configobject.inc(186): OMV\\Config\\ConfigObject->assertExists('options')\n#1 \/usr\/share\/php\/openmediavault\/config\/configobject.inc(271): OMV\\Config\\ConfigObject->set('options', '', true)\n#2 \/usr\/share\/php\/openmediavault\/config\/configobject.inc(233): OMV\\Config\\ConfigObject->setFlatAssoc(Array, true, false)\n#3 \/usr\/share\/openmediavault\/engined\/rpc\/network.inc(135): OMV\\Config\\ConfigObject->setAssoc(Array)\n#4 \/usr\/share\/openmediavault\/engined\/rpc\/network.inc(542): Engined\\Rpc\\Network->setInterfaceConfig(Array, Array)\n#5 [internal function]: Engined\\Rpc\\Network->setEthernetIface(Array, Array)\n#6 \/usr\/share\/php\/openmediavault\/rpc\/serviceabstract.inc(123): call_user_func_array(Array, Array)\n#7 \/usr\/share\/php\/openmediavault\/rpc\/rpc.inc(86): OMV\\Rpc\\ServiceAbstract->callMethod('setEthernetIfac...', Array, Array)\n#8 \/usr\/sbin\/omv-engined(537): OMV\\Rpc\\Rpc::call('Network', 'setEthernetIfac...', Array, Array, 1)\n#9 {main}"}}

    Other issues:

    (a lot of messages)

    Code
    Apr 30 00:36:46 nasbox omv-engined[4330]: Unknown or deprecated time zone [tz=]. Please reconfigure your time zone settings.
    Apr 30 00:36:36 nasbox php[937]: Unknown or deprecated time zone [tz=]. Please reconfigure your time zone settings.
    Apr 30 00:27:19 nasbox omv-salt[791]: /usr/lib/python3/dist-packages/salt/states/file.py:294: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
    Apr 30 00:27:19 nasbox omv-salt[791]: from collections import Iterable, Mapping, defaultdict
    Apr 30 00:27:19 nasbox omv-salt[791]: /usr/lib/python3/dist-packages/salt/utils/decorators/signature.py:31: DeprecationWarning: `formatargspec` is deprecated since Python 3.5. Use `signature` and the `Signature` object directly
    Apr 30 00:27:19 nasbox omv-salt[791]: *salt.utils.args.get_function_argspec(original_function)
    Apr 30 00:27:19 nasbox omv-salt[791]: /usr/lib/python3/dist-packages/salt/utils/decorators/signature.py:31: DeprecationWarning: `formatargspec` is deprecated since Python 3.5. Use `signature` and the `Signature` object directly
    Apr 30 00:27:19 nasbox omv-salt[791]: *salt.utils.args.get_function_argspec(original_function)
    Apr 30 00:27:19 nasbox omv-salt[791]: /usr/lib/python3/dist-packages/salt/utils/oset.py:47: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
    Apr 30 00:27:19 nasbox omv-salt[791]: class OrderedSet(collections.MutableSet):


    Also extremely funny, if I do first a netinst from debian, after apply the openmediavault the DNS stops working (/etc/resolv.conf is empty)

  • After installation (without do any updates) the System Information dashboard is empty.



    Also extremely funny, if I do first a netinst from debian, after apply the openmediavault the DNS stops working (/etc/resolv.conf is empty)


    To see the dashboard content clear your browser cache or force reload the page.


    An empty /etc/resolv.conf remains unexplained. I had the problem and it returned a few times before finally being solved in a manner unknown to me.


    Both of these problems have been widely reported.

    --
    Google is your friend and Bob's your uncle!


    OMV AMD64 5.x on ASRock Rack C2550D4I C0 Stepping - 16GB ECC - Silverstone DS380 + Silverstone DS380 DAS Box.

  • To see the dashboard content clear your browser cache or force reload the page.


    An empty /etc/resolv.conf remains unexplained. I had the problem and it returned a few times before finally being solved in a manner unknown to me.


    Both of these problems have been widely reported.

    Actually both are not so serious issues (maybe the resolv.conf is very annoying) but that this with the network. I saw that it solved with 5.4.2.1 but from gui the netplan.io doesn't want to be installed (it shown in the list but not in the apt). From CLI it can be installed..... In the end the network issue is not solved (or not related).

  • I forgot to mention that i am using docker. So the correct question is: How do i best migrate my current settings, databases, website configs to new dockers when updating to OMV 5?


    What i am trying to say is:

    I believe for now the best way of upgrading would be to first install docker containers on my OMV4 and migrate all existing settings of plugins into it that are not supported in OMV 5. Then do the uprade to OMV 5.

    That way i will not have to manually reconfigure everything again.


    So how to migrate settings from OMV4 plugins to dockers before upgrade to OMV5?

  • Does anyone else have journalctl entries available only since the current boot? (on OMV5 installed on an SD card using Flash Plugin)


    I made a post about Performance Statistics getting cleared on each reboot, but it's not just those stats but system journal entries too. Performance Statistics losing data after reboot

    Quoting myself... since there is no reply about this problem, is the lack of persistence likely not due to OMV5?


    Maybe the issue is with Flash Plugin? Or maybe it's something with rrdcached? Is there a proper way to reset rrdcached statistics data and journal?


    If it's not related to OMV5 maybe I can ask on a different forum, if I can get a clue of what is likely responsible for the problem.

  • Hi,


    i wanted to upgrade OMV 4.x (all updates were installed!) to OMV 5.x with this decription...

    RE: OMV 5.0 - finally out! :-)

    ...and this video:


    I deleted plugins as mentioned in the video and before I was starting upgrade process I did a reboot of OMV.


    First commands work properly with no problems. After reboot the next command was:

    Quote


    Here i get the following errors:

    What's going wrong?

    What can I do?


    Hylli

  • Because this was one step in your Upgrade description from here:

    RE: OMV 5.0 - finally out! :-)



    What else do I have to do at this point?


    Hylli

  • Because this was one step in your Upgrade description from here:

    My bad. I saw install and thought it was the OMV install not omv-extras install. Try downloading the script, making it executable, and execute it.


    wget https://raw.githubusercontent.…s/packages/master/install

    chmod +x install

    sudo ./install

    omv 5.5.23 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Hi,


    then I get the same error as before:


    Hylli

  • OK, found one error:

    dpkg -l | openmediavault

    gave me the info, that no version of openmediavault is installed. Thx for the tipp!


    So I installed manually openmediavault with

    apt-get install openmediavault


    After that the Install Script worked as expected, except of installing openmediavault-omvextrasorg.


    So I purged openmediavault-omvextrasorg again, run again the Install Script, now openmediavault-omvextrasorg was installed properly.


    Now I could do the final steps of the Upgrade description and started the Webinterface the first time.


    But now I have another error after the login:

    Quote

    The property 'numproc' does not exist in the model 'conf.service.nfs'.

    Detail:


    So I think I have to install further packages or plugins?


    Which packages or plugins do i have to install to get OMV5 to work properly?


    I think I have to install all or some of the following packages, which apt-get tells they were obsolete:


    Plugin installation from Webinterface doesn't work at the moment. I think there are some packages missing before i can install plugins from Webinterface?


    Hylli

  • OK, found one error:

    dpkg -l | openmediavault

    gave me the info, that no version of openmediavault is installed. Thx for the tipp!

    There shouldn't be a pipe between dpkg -l and openmediavault for that specific command.

    But now I have another error after the login:

    The solution for that has been posted many times - clear your browser cache.

    So I think I have to install further packages or plugins?


    Which packages or plugins do i have to install to get OMV5 to work properly?

    You don't. The openmediavault package has dependencies and will install what it needs. I can't tell you what plugins you want.


    I'm guessing you need to do an apt-get -f install but what is the output of:


    dpkg -l | grep openm

    omv 5.5.23 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Hi,

    dpkg -l | grep openm

    gives me the following output:


    Quote

    The solution for that has been posted many times - clear your browser cache.

    Sorry, but rebooting the system and clearing the browser cache didn't the trick for me!


    The error still exists!


    apt-get -f install

    gives me the following output:

    I was using Snapraid, UnionFS, MergerFS and for the Shares NFS and SMB/CIFS. Also installed were the plugins Backup, WOL and Autoshutdown and Docker GUI.


    As Docker i installed Emby Server, Portainer and Watchdog.


    This was all i think or can remember at the moment?


    When i want to install openmediavault-backup for example, i get the following error:


    Hylli

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!